Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

manage dependencies in gemspec and bundler

  • Loading branch information...
commit 2f19a7f7e1619d194d43a4e00a20c00b59836f7c 1 parent 2c916d9
@mikz mikz authored
View
3  Gemfile
@@ -0,0 +1,3 @@
+source "http://rubygems.org"
+
+gemspec
View
21 Gemfile.lock
@@ -0,0 +1,21 @@
+PATH
+ remote: .
+ specs:
+ rack-rewrite (1.0.3.a)
+
+GEM
+ remote: http://rubygems.org/
+ specs:
+ mocha (0.9.12)
+ rack (1.2.1)
+ shoulda (2.10.3)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ bundler (~> 1.0.10)
+ mocha (~> 0.9.7)
+ rack
+ rack-rewrite!
+ shoulda (~> 2.10.2)
View
7 rack-rewrite.gemspec
@@ -40,7 +40,12 @@ Gem::Specification.new do |s|
"test/rule_test.rb",
"test/test_helper.rb"
]
-
+
+ s.add_development_dependency 'bundler', '~> 1.0.10'
+ s.add_development_dependency 'shoulda', '~> 2.10.2'
+ s.add_development_dependency 'mocha', '~> 0.9.7'
+ s.add_development_dependency 'rack'
+
if s.respond_to? :specification_version then
s.specification_version = 3
end
View
12 test/test_helper.rb
@@ -1,13 +1,9 @@
require 'rubygems'
-require 'test/unit'
-gem 'shoulda', '~> 2.10.2'
-require 'shoulda'
-gem 'mocha', '~> 0.9.7'
-require 'mocha'
+require 'bundler/setup'
+
+Bundler.require :default, :development
-$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
-$LOAD_PATH.unshift(File.dirname(__FILE__))
-require 'rack/rewrite'
+require 'test/unit'
class Test::Unit::TestCase
end
Please sign in to comment.
Something went wrong with that request. Please try again.